Test::Int::Sequence::SequenceTest Class Reference

Base test for sequence More...

## Public Member Functions

| SequenceTest (const std::string &s, const Gecode::IntSet &s0, int q0, int l0, int u0, int size, int min, int max)
| Create and register test.
virtual bool | solution (const Assignment &x) const
| Test whether x is solutionin
| Test (const std::string &p, const std::string &s, int a, const Gecode::IntSet &d, bool r=false, Gecode::IntPropLevel i=Gecode::IPL_DEF)
| Constructor.
| Test (const std::string &s, int a, const Gecode::IntSet &d, bool r=false, Gecode::IntPropLevel i=Gecode::IPL_DEF)
| Constructor.
| Test (const std::string &p, const std::string &s, int a, int min, int max, bool r=false, Gecode::IntPropLevel i=Gecode::IPL_DEF)
| Constructor.
| Test (const std::string &s, int a, int min, int max, bool r=false, Gecode::IntPropLevel i=Gecode::IPL_DEF)
| Constructor.
virtual Assignment * | assignment (void) const
| Create assignment.
virtual bool | ignore (const Assignment &) const
| Whether to ignore assignment for reification.
virtual void | post (Gecode::Space &home, Gecode::IntVarArray &x)=0
| Post constraint.
virtual void | post (Gecode::Space &home, Gecode::IntVarArray &x, Gecode::Reify r)
| Post reified constraint.
virtual bool | run (void)
| Perform test.
Public Member Functions inherited from Test::Base
| Base (const std::string &s)
| Create and register test with name s.
const std::string & | name (void) const
| Return name of test.
Base * | next (void) const
| Return next test.
void | next (Base *n)
| Set next test.
virtual | ~Base (void)
| Destructor.

## Protected Attributes

Gecode::IntSet | s
int | q
int | l
int | u
Protected Attributes inherited from Test::Int::Test
int | arity
| Number of variables.
Gecode::IntSet | dom
| Domain of variables.
bool | reified
| Does the constraint also exist as reified constraint.
int | rms
| Which reification modes are supported.
Gecode::IntPropLevel | ipl
| Propagation level.
ConTestLevel | contest
| Whether to test for certain consistency.
bool | testsearch
| Whether to perform search test.
bool | testfix
| Whether to perform fixpoint test.

## Additional Inherited Members

static std::string | str (Gecode::IntPropLevel ipl)
| Map integer propagation level to string.
static std::string | str (Gecode::IntRelType irl)
| Map integer relation to string.
static std::string | str (Gecode::BoolOpType bot)
| Map Boolean operation to string.
static std::string | str (bool b)
| Map bool to string.
static std::string | str (int i)
| Map integer to string.
static std::string | str (const Gecode::IntArgs &i)
| Map integer array to string.
template<class T>
static bool | cmp (T x, Gecode::IntRelType r, T y)
| Compare x and y with respect to r.
Static Public Member Functions inherited from Test::Base
static void | sort (void)
| Sort tests alphabetically.
static Base * | tests (void)
| Return all tests.
static bool | fixpoint (void)
| Throw a coin whether to compute a fixpoint.
Static Public Attributes inherited from Test::Base
static Gecode::Support::RandomGenerator | rand = Gecode::Support::RandomGenerator()
| Random number generator.
bool | eqv (void) const
| Test whether equivalence as reification mode is supported.
bool | imp (void) const
| Test whether implication as reification mode is supported.
bool | pmi (void) const
| Test whether reverse implication as reification mode is supported.
Related Symbols inherited from Test::Base
int | main (int argc, char *argv[])
| Main function.

## Detailed Description

Base test for sequence

Definition at line 54 of file sequence.cpp.

## Constructor & Destructor Documentation

## SequenceTest()

Test::Int::Sequence::SequenceTest::SequenceTest | ( | const std::string & | s,
|  | const Gecode::IntSet & | s0,
|  | int | q0,
|  | int | l0,
|  | int | u0,
|  | int | size,
|  | int | min,
|  | int | max )

inline

Create and register test.

Definition at line 60 of file sequence.cpp.

## Member Function Documentation

## solution()

virtual bool Test::Int::Sequence::SequenceTest::solution | ( | const Assignment & | x | ) | const

inline virtual

Test whether x is solutionin

Implements Test::Int::Test.

Definition at line 66 of file sequence.cpp.

## Member Data Documentation

## s

Gecode::IntSet Test::Int::Sequence::SequenceTest::s

protected

Definition at line 56 of file sequence.cpp.

## q

int Test::Int::Sequence::SequenceTest::q

protected

Definition at line 57 of file sequence.cpp.

## l

int Test::Int::Sequence::SequenceTest::l

protected

Definition at line 57 of file sequence.cpp.

## u

int Test::Int::Sequence::SequenceTest::u

protected

Definition at line 57 of file sequence.cpp.

The documentation for this class was generated from the following file:

- test/int/sequence.cpp